Bug 1627787 - upgrade step 'remove_legacy_mongo' continues when "Running installer" failed
Summary: upgrade step 'remove_legacy_mongo' continues when "Running installer" failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.4.0
Assignee: Chris Roberts
QA Contact: Nikhil Kathole
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-11 13:13 UTC by Sean O'Keeffe
Modified: 2019-11-05 23:35 UTC (History)
8 users (show)

Fixed In Version: katello-installer-base-3.7.0.9-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 18:58:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
cli output (24.37 KB, text/plain)
2018-09-11 13:13 UTC, Sean O'Keeffe
no flags Details
upgrade installer output (30.51 KB, text/x-vhdl)
2018-10-03 11:39 UTC, Nikhil Kathole
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24966 None None None 2018-09-24 14:34:35 UTC
Github Katello katello-installer pull 687 None None None 2018-09-18 17:46:24 UTC
Github Katello katello-installer pull 690 None None None 2018-09-25 20:38:47 UTC

Description Sean O'Keeffe 2018-09-11 13:13:16 UTC
Created attachment 1482367 [details]
cli output

Description of problem:

Running "foreman-maintain upgrade run --target-version 6.4 -y" 

If "Upgrade Step: Running installer..." step fails it continues with "Upgrade Step: remove_legacy_mongo..." which resulted in breaking mongo and running "satellite-installer --upgrade" failing.

When a step fails we should exit straight away 


Version-Release number of selected component (if applicable):
6.3.3 -> 6.4.beta upgrade.

Comment 2 Ivan Necas 2018-09-12 07:12:52 UTC
This step actually are not defined in the foreman-maintain, but rather in the installer hooks, most of them are defined in a way, that they are not run unless installer succeeds, but this change https://github.com/Katello/katello-installer/commit/b70dde1807e6b96c92d5f893d67e1172fd8a9722 (done as part of bz 1583233) actually made it run always.

Putting needinfo on Eric, as the original author of this changes.

I've updated the subject, as it was misleading, since this issue is not connected to foreman-maintain behaviour.

Comment 3 Eric Helms 2018-09-12 12:30:34 UTC
Sean,

Can you help clarify what installation step actually failed? The full installer log may help with that.

Comment 4 Sean O'Keeffe 2018-09-12 13:01:22 UTC
Sure, We had setup SSO using --foreman-ipa-authentication=true without IPA (we are using different krb5 infra) 

Looks to be due to https://github.com/theforeman/puppet-foreman/commit/b0f88ed52539ca74cf58017d97bbb8327b083e1f#diff-0ac866172efd29d0ddc2aa75ae6f182dR74

But I don't think the reason for the failure is of much relevance for the scope of this BZ.

Comment 6 Eric Helms 2018-09-18 13:40:19 UTC
Could we get the installer log for the failure?

Comment 7 Patrick Creech 2018-09-21 13:00:55 UTC
PR not merged yet

Comment 9 pm-sat@redhat.com 2018-09-25 20:08:16 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24966 has been resolved.

Comment 11 Nikhil Kathole 2018-10-03 11:37:28 UTC
VERIFIED

Version tested:
Satellite 6.4 snap 25

Upgrade step 'remove_legacy_mongo' not run if installer failed. (see attachment)

Comment 12 Nikhil Kathole 2018-10-03 11:39:24 UTC
Created attachment 1489938 [details]
upgrade installer output

Comment 13 Bryan Kearney 2018-10-16 18:58:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.